<?php

namespace Service;


use Util\Utilities;
use Util\Environment;
use \Teknisa\Model\Geral\Entities;
use Doctrine\ORM\EntityManager;
use Util\InstanceProvider;
use Service\Manager\Mongo\Manager;

class ZmartLog {

    protected $dataSourceName = "zmartlog";
    protected $organizationManager;

    public function __construct(Manager $organizationManager) {
        $this->organizationManager = $organizationManager;
    }

     public function findNext ($params) {
        $response = $this->organizationManager->findNext($this->dataSourceName, $params);
        return $response;
    }
}
